// Mtodo da Falsa Posio
//
// encontra uma raiz no intervalo [xa,xb] da funo f(x)=x^3-9*x+3
//
deff('y=f(x)','y=x^3-9*x+3');        // funo f(x)
xa= 0.0;                             // valor inicial de xa
xb= 1.0;                             // valor inicial de xb
epsilon=0.0000001;                   // tolerncia
Nmax=200;                            // nmero mximo de iteraes
i=0;                                 // contador

xm=(xa*f(xb)-xb*f(xa))/(f(xb)-f(xa));

while (abs(f(xm))>epsilon) & (i<Nmax)
  i=i+1;
  xm=(xa*f(xb)-xb*f(xa))/(f(xb)-f(xa));
  if f(xa)*f(xm)<0 then xb=xm; else xa=xm; end;
end;

disp(xm)        // exibe o ltimo valor de xm calculado
disp(i)         // exibe o nmero de iteraes executadas
